<?xml version="1.0" encoding="UTF-8"?><!--
==================================
Schematron schema for elab-200 (fragment schematron) 
  200 Opdrachtgegevens

Project: eLab

Copyright 2010 Nictiz


Author: dr Kai U. Heitmann

Version information:
  2010-02-16 KH initial release
  2010-06-28 KH template based
  2010-12-21 KH template 200, 201, 204 en 205 afgerond

DISCLAIMER:
Hoewel deze publicatie met de uiterste zorg is samengesteld, kan Nictiz geen aansprakelijkheid aanvaarden voor directe of indirecte schade ontstaan door de inhoud van
        de – al dan niet door derden aangeboden – informatie.

WARNING:
THIS FILE HAS BEEN GENERATED AUTOMAGICALLY. DON'T EDIT IT.

Creation date: 2011-01-12T13:11:49.071+01:00
==================================

--><!--
Template derived pattern
===========================================
ID: 
Item: Opdrachtgegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="elab-200"><title>Opdrachtgegevens - scenario(s): #ANY</title>
<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']
Item: Opdrachtgegevens - scenario(s): #ANY
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @typeCode='DRIV'">Opdrachtgegevens: @typeCode SHALL be present where the value of @typeCode is 'DRIV' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @contextConductionInd='true'">Opdrachtgegevens: @contextConductionInd SHALL have value 'true' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">Opdrachtgegevens: element hl7:act is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:act)&lt;=1">Opdrachtgegevens: element hl7:act appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act
Item: Opdrachtgegevens
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='ACT'">Opdrachtgegevens: @classCode SHALL be present where the value of @classCode is 'ACT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@moodCode='RQO'">Opdrachtgegevens: @moodCode SHALL be present where the value of @moodCode is 'RQO' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Opdrachtgegevens: element hl7:id (Opdrachtnummer)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Opdrachtgegevens: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&lt;=1">Opdrachtgegevens: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:statusCode)&lt;=1">Opdrachtgegevens: element hl7:statusCode appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:priorityCode)&lt;=1">Opdrachtgegevens: element hl7:priorityCode appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']])&lt;=1">Opdrachtgegevens: element hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']] appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:entryRelationship[hl7:act[@moodCode='RQO']])&gt;=1 and not(hl7:entryRelationship[hl7:act[@moodCode='RQO']]/@nullFlavor)">Opdrachtgegevens: element hl7:entryRelationship[hl7:act[@moodCode='RQO']] (bepalingsverzoek)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:entryRelationship[hl7:act[@moodCode='RQO']])&lt;=1">Opdrachtgegevens: element hl7:entryRelationship[hl7:act[@moodCode='RQO']] (bepalingsverzoek)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:entryRelationship[@typeCode='RSON'])&lt;=1">Opdrachtgegevens: element hl7:entryRelationship[@typeCode='RSON'] (Reden aanvraag)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='55607006']]])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:code[@code='55607006']]]/@nullFlavor)">Opdrachtgegevens: element hl7:entryRelationship[hl7:observation[hl7:code[@code='55607006']]] (Vraagstelling)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='55607006']]])&lt;=1">Opdrachtgegevens: element hl7:entryRelationship[hl7:observation[hl7:code[@code='55607006']]] (Vraagstelling)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:reference[hl7:externalAct[@classCode='XACT']])&lt;=1">Opdrachtgegevens: element hl7:reference[hl7:externalAct[@classCode='XACT']] (DBC)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:id
Item: Opdrachtnummer
-->

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:code
Item: Opdrachtgegevens
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @code='X-LAB-ORDER'">Opdrachtgegevens: A code element SHALL be present where the value of @code is 'X-LAB-ORDER' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">Opdrachtgegevens: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:statusCode
Item: Opdrachtgegevens
-->

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:priorityCode
Item: Opdrachtgegevens
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:priorityCode"><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="valueFromValueSet" value="'ActPriority'"/><let name="theDisplayName" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@displayName[1])"/><let name="theeffectiveDate" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/@effectiveDate)"/><let name="requiredCodeSystem" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@codeSystem)"/><let name="type" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@type)"/><let name="theNullFlavor" value="@nullFlavor"/><let name="validNullFlavor" value="document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="(string-length($theDisplayName)&gt;0 and ($theCodeSystem=$requiredCodeSystem)) or string-length($validNullFlavor)&gt;0">Opdrachtgegevens: A code element SHALL be present where the value of @code is selected from Value Set '<value-of select="$valueFromValueSet"/>' DYNAMIC <value-of select="$theeffectiveDate"/> - found code= <value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="not(@nullFlavor) or string-length($validNullFlavor)&gt;0">Opdrachtgegevens: @nullFlavor '<value-of select="$theNullFlavor"/>' is not allowed in this context</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="not($type='A') or string-length($validNullFlavor)&gt;0">Opdrachtgegevens: the code used is an abstract node and cannot be chosen as a valid code  - found: code=<value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]
Item: Opdrachtgegevens
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @typeCode='COMP'">Opdrachtgegevens: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:procedure)&lt;=1">Opdrachtgegevens: element hl7:procedure (Afnameverzoek procedure)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure
Item: Afnameverzoek procedure
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='SPECCOLLECT'">Afnameverzoek procedure: @classCode SHALL be present where the value of @classCode is 'SPECCOLLECT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@moodCode='RQO'">Afnameverzoek procedure: @moodCode SHALL be present where the value of @moodCode is 'RQO' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:id)&lt;=1">Afnameverzoek procedure: element hl7:id (Opdrachtnummer)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:effectiveTime)&lt;=1">Afnameverzoek procedure: element hl7:effectiveTime (Geldigheid (voor afname))  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">Afnameverzoek procedure: element hl7:participant is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:participant)&lt;=1">Afnameverzoek procedure: element hl7:participant appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='308273005']]])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:code[@code='308273005']]]/@nullFlavor)">Afnameverzoek procedure: element hl7:entryRelationship[hl7:observation[hl7:code[@code='308273005']]] (Opdracht aanvulling ja/nee)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='308273005']]])&lt;=1">Afnameverzoek procedure: element hl7:entryRelationship[hl7:observation[hl7:code[@code='308273005']]] (Opdracht aanvulling ja/nee)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]])&lt;=1">Afnameverzoek procedure: element hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]] (Toelichting afname)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:id
Item: Opdrachtnummer
-->

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:effectiveTime
Item: Geldigheid (voor afname)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:effectiveTime"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:low)&lt;=1">Geldigheid (voor afname): element hl7:low (Geldig vanaf (voor afname))  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:high)&lt;=1">Geldigheid (voor afname): element hl7:high (Geldig tot (voor afname))  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:effectiveTime/hl7:low
Item: Geldig vanaf (voor afname)
-->

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:effectiveTime/hl7:high
Item: Geldig tot (voor afname)
-->

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:participant
Item: Afnameverzoek procedure
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:participant"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @typeCode='LOC'">Afnameverzoek procedure: @typeCode SHALL be present where the value of @typeCode is 'LOC' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:participantRole)&lt;=1">Afnameverzoek procedure: element hl7:participantRole (Opdrachtnummer)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:participant/hl7:participantRole
Item: Opdrachtnummer
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:participant/hl7:participantRole"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='SDLOC'">Opdrachtnummer: @classCode SHALL be present where the value of @classCode is 'SDLOC' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&gt;=1 ">Opdrachtnummer: element hl7:code is required [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&lt;=1">Opdrachtnummer: element hl7:code appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:code
Item: Opdrachtnummer
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:participant/hl7:participantRole/hl7:code"><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="valueFromValueSet" value="'ServiceDeliveryLocationRoleType'"/><let name="theDisplayName" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@displayName[1])"/><let name="theeffectiveDate" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/@effectiveDate)"/><let name="requiredCodeSystem" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@codeSystem)"/><let name="type" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@type)"/><let name="theNullFlavor" value="@nullFlavor"/><let name="validNullFlavor" value="document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="(string-length($theDisplayName)&gt;0 and ($theCodeSystem=$requiredCodeSystem)) or string-length($validNullFlavor)&gt;0">Opdrachtnummer: A code element SHALL be present where the value of @code is selected from Value Set '<value-of select="$valueFromValueSet"/>' DYNAMIC <value-of select="$theeffectiveDate"/> - found code= <value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="not(@nullFlavor) or string-length($validNullFlavor)&gt;0">Opdrachtnummer: @nullFlavor '<value-of select="$theNullFlavor"/>' is not allowed in this context</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="not($type='A') or string-length($validNullFlavor)&gt;0">Opdrachtnummer: the code used is an abstract node and cannot be chosen as a valid code  - found: code=<value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:entryRelationship[hl7:observation[hl7:code[@code='308273005']]]
Item: Opdracht aanvulling ja/nee
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:entryRelationship[hl7:observation[hl7:code[@code='308273005']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @typeCode='COMP'">Opdracht aanvulling ja/nee: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">Opdracht aanvulling ja/nee: element hl7:observation is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:observation)&lt;=1">Opdracht aanvulling ja/nee: element hl7:observation appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:entryRelationship[hl7:observation[hl7:code[@code='308273005']]]/hl7:observation
Item: Opdracht aanvulling ja/nee
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:entryRelationship[hl7:observation[hl7:code[@code='308273005']]]/hl7:observation"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='OBS'">Opdracht aanvulling ja/nee: @classCode SHALL be present where the value of @classCode is 'OBS' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@moodCode='EVN'">Opdracht aanvulling ja/nee: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Opdracht aanvulling ja/nee: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&lt;=1">Opdracht aanvulling ja/nee: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Opdracht aanvulling ja/nee: element hl7:value is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:value)&lt;=1">Opdracht aanvulling ja/nee: element hl7:value appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:entryRelationship[hl7:observation[hl7:code[@code='308273005']]]/hl7:observation/hl7:code
Item: Opdracht aanvulling ja/nee
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:entryRelationship[hl7:observation[hl7:code[@code='308273005']]]/hl7:observation/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @code='308273005'">Opdracht aanvulling ja/nee: A code element SHALL be present where the value of @code is '308273005' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.96'">Opdracht aanvulling ja/nee: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.96' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:entryRelationship[hl7:observation[hl7:code[@code='308273005']]]/hl7:observation/hl7:value
Item: Opdracht aanvulling ja/nee
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:entryRelationship[hl7:observation[hl7:code[@code='308273005']]]/hl7:observation/hl7:value"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">Opdracht aanvulling ja/nee: An @xsi:type instruction SHALL be present where the value is 'BL' STATIC or datatype SHALL be 'BL'</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]]
Item: Toelichting afname
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @typeCode='COMP'">Toelichting afname: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">Toelichting afname: element hl7:act is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:act)&lt;=1">Toelichting afname: element hl7:act appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]]/hl7:act
Item: Toelichting afname
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]]/hl7:act"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='ACT'">Toelichting afname: @classCode SHALL be present where the value of @classCode is 'ACT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@moodCode='EVN'">Toelichting afname: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Toelichting afname: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&lt;=1">Toelichting afname: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:text)&lt;=1">Toelichting afname: element hl7:text appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:statusCode)&lt;=1">Toelichting afname: element hl7:statusCode appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]]/hl7:act/hl7:code
Item: Toelichting afname
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]]/hl7:act/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @code='48767-8'">Toelichting afname: A code element SHALL be present where the value of @code is '48767-8' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">Toelichting afname: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]]/hl7:act/hl7:text
Item: Toelichting afname
-->

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:procedure[@classCode='SPECCOLLECT']]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]]/hl7:act/hl7:statusCode
Item: Toelichting afname
-->

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]
Item: bepalingsverzoek
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @typeCode='COMP'">bepalingsverzoek: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">bepalingsverzoek: element hl7:act is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:act)&lt;=1">bepalingsverzoek: element hl7:act appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act
Item: bepalingsverzoek
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='ACT'">bepalingsverzoek: @classCode SHALL be present where the value of @classCode is 'ACT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@moodCode='RQO'">bepalingsverzoek: @moodCode SHALL be present where the value of @moodCode is 'RQO' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">bepalingsverzoek: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&lt;=1">bepalingsverzoek: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:performer)&lt;=1">bepalingsverzoek: element hl7:performer appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]])&lt;=1">bepalingsverzoek: element hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]] (Toelichting voor het lab)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:code
Item: bepalingsverzoek
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @code='X-LAB-ORDER'">bepalingsverzoek: A code element SHALL be present where the value of @code is 'X-LAB-ORDER' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">bepalingsverzoek: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:performer
Item: uitvoerend lab - gewenste performer
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:performer"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @typeCode='PRF'">uitvoerend lab - gewenste performer: @typeCode SHALL be present where the value of @typeCode is 'PRF' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">uitvoerend lab - gewenste performer: element hl7:assignedEntity is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:assignedEntity)&lt;=1">uitvoerend lab - gewenste performer: element hl7:assignedEntity appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:performer/hl7:assignedEntity
Item: uitvoerend lab - gewenste performer
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:performer/hl7:assignedEntity"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='ASSIGNED'">uitvoerend lab - gewenste performer: @classCode SHALL be present where the value of @classCode is 'ASSIGNED' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:id)&gt;=1 ">uitvoerend lab - gewenste performer: element hl7:id is required [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">uitvoerend lab - gewenste performer: element hl7:representedOrganization is mandatory [min 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:performer/hl7:assignedEntity/hl7:id
Item: uitvoerend lab - gewenste performer
-->

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: uitvoerend lab - gewenste performer
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='ORG'">uitvoerend lab - gewenste performer: @classCode SHALL be present where the value of @classCode is 'ORG' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @determinerCode='INSTANCE'">uitvoerend lab - gewenste performer: @determinerCode SHALL have value 'INSTANCE' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: uitvoerend lab - gewenste performer
-->

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: uitvoerend lab - gewenste performer
-->

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: uitvoerend lab - gewenste performer
-->

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:participant[@typeCode='IRCP']
Item: Ontvangers uitslag kopie (informationRecipient)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:participant[@typeCode='IRCP']"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @typeCode='IRCP'">Ontvangers uitslag kopie (informationRecipient): @typeCode SHALL be present where the value of @typeCode is 'IRCP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:participantRole)&gt;=1 and not(hl7:participantRole/@nullFlavor)">Ontvangers uitslag kopie (informationRecipient): element hl7:participantRole is mandatory [min 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:participant[@typeCode='IRCP']/hl7:participantRole
Item: Ontvangers uitslag kopie (informationRecipient)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:participant[@typeCode='IRCP']/hl7:participantRole"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='ASSIGNED'">Ontvangers uitslag kopie (informationRecipient): @classCode SHALL be present where the value of @classCode is 'ASSIGNED' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:playingEntity)&gt;=1 and not(hl7:playingEntity/@nullFlavor)">Ontvangers uitslag kopie (informationRecipient): element hl7:playingEntity is mandatory [min 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:participant[@typeCode='IRCP']/hl7:participantRole/hl7:playingEntity
Item: Ontvangers uitslag kopie (informationRecipient)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:participant[@typeCode='IRCP']/hl7:participantRole/hl7:playingEntity"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='PSN'">Ontvangers uitslag kopie (informationRecipient): @classCode SHALL be present where the value of @classCode is 'PSN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:name)&gt;=1 ">Ontvangers uitslag kopie (informationRecipient): element hl7:name is required [min 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:participant[@typeCode='IRCP']/hl7:participantRole/hl7:playingEntity/hl7:name
Item: Ontvangers uitslag kopie (informationRecipient)
-->

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]
Item: Aanvragen per lab
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @typeCode='COMP'">Aanvragen per lab: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">Aanvragen per lab: element hl7:act is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:act)&lt;=1">Aanvragen per lab: element hl7:act appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act
Item: Aanvragen per lab
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='ACT'">Aanvragen per lab: @classCode SHALL be present where the value of @classCode is 'ACT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@moodCode='RQO'">Aanvragen per lab: @moodCode SHALL be present where the value of @moodCode is 'RQO' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Aanvragen per lab: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&lt;=1">Aanvragen per lab: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:statusCode)&lt;=1">Aanvragen per lab: element hl7:statusCode appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']])&gt;=1 and not(hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]/@nullFlavor)">Aanvragen per lab: element hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']] (aanvragen per materiaal)  is mandatory [min 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:code
Item: Aanvragen per lab
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">Aanvragen per lab: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:statusCode
Item: Aanvragen per lab
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:statusCode"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @code='completed'">Aanvragen per lab: A code element SHALL be present where the value of @code is 'completed' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]
Item: aanvragen per materiaal
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @typeCode='COMP'">aanvragen per materiaal: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:organizer)&gt;=1 and not(hl7:organizer/@nullFlavor)">aanvragen per materiaal: element hl7:organizer is mandatory [min 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]/hl7:organizer
Item: aanvragen per materiaal
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]/hl7:organizer"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='BATTERY'">aanvragen per materiaal: @classCode SHALL be present where the value of @classCode is 'BATTERY' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@moodCode='EVN'">aanvragen per materiaal: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:statusCode)&lt;=1">aanvragen per materiaal: element hl7:statusCode appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:specimen)&gt;=1 and not(hl7:specimen/@nullFlavor)">aanvragen per materiaal: element hl7:specimen (aanvragen per materiaal specimen)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)">aanvragen per materiaal: element hl7:component (aanvragen per materiaal)  is mandatory [min 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]/hl7:organizer/hl7:statusCode
Item: aanvragen per materiaal
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]/hl7:organizer/hl7:statusCode"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @code='completed'">aanvragen per materiaal: A code element SHALL be present where the value of @code is 'completed' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]/hl7:organizer/hl7:specimen
Item: aanvragen per materiaal specimen
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]/hl7:organizer/hl7:specimen"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @typeCode='SPC'">aanvragen per materiaal specimen: @typeCode SHALL be present where the value of @typeCode is 'SPC' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:specimenRole)&gt;=1 and not(hl7:specimenRole/@nullFlavor)">aanvragen per materiaal specimen: element hl7:specimenRole is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:specimenRole)&lt;=1">aanvragen per materiaal specimen: element hl7:specimenRole appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]/hl7:organizer/hl7:specimen/hl7:specimenRole
Item: aanvragen per materiaal specimen
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]/hl7:organizer/hl7:specimen/hl7:specimenRole"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='SPEC'">aanvragen per materiaal specimen: @classCode SHALL be present where the value of @classCode is 'SPEC' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:specimenPlayingEntity)&gt;=1 and not(hl7:specimenPlayingEntity/@nullFlavor)">aanvragen per materiaal specimen: element hl7:specimenPlayingEntity is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:specimenPlayingEntity)&lt;=1">aanvragen per materiaal specimen: element hl7:specimenPlayingEntity appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]/hl7:organizer/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity
Item: aanvragen per materiaal specimen
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]/hl7:organizer/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='ENT'">aanvragen per materiaal specimen: @classCode SHALL be present where the value of @classCode is 'ENT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @determinerCode='INSTANCE'">aanvragen per materiaal specimen: @determinerCode SHALL have value 'INSTANCE' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">aanvragen per materiaal specimen: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&lt;=1">aanvragen per materiaal specimen: element hl7:code appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]/hl7:organizer/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:code
Item: aanvragen per materiaal specimen
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]/hl7:organizer/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:code"><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="valueFromValueSet" value="'SpecimenType'"/><let name="theDisplayName" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@displayName[1])"/><let name="theeffectiveDate" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/@effectiveDate)"/><let name="requiredCodeSystem" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@codeSystem)"/><let name="type" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@type)"/><let name="theNullFlavor" value="@nullFlavor"/><let name="validNullFlavor" value="document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="(string-length($theDisplayName)&gt;0 and ($theCodeSystem=$requiredCodeSystem)) or string-length($validNullFlavor)&gt;0">aanvragen per materiaal specimen: A code element SHALL be present where the value of @code is selected from Value Set '<value-of select="$valueFromValueSet"/>' DYNAMIC <value-of select="$theeffectiveDate"/> - found code= <value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="not(@nullFlavor) or string-length($validNullFlavor)&gt;0">aanvragen per materiaal specimen: @nullFlavor '<value-of select="$theNullFlavor"/>' is not allowed in this context</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="not($type='A') or string-length($validNullFlavor)&gt;0">aanvragen per materiaal specimen: the code used is an abstract node and cannot be chosen as a valid code  - found: code=<value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]/hl7:organizer/hl7:component
Item: aanvragen per materiaal
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]/hl7:organizer/hl7:component"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @typeCode='COMP'">aanvragen per materiaal: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">aanvragen per materiaal: element hl7:observation is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:observation)&lt;=1">aanvragen per materiaal: element hl7:observation appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]/hl7:organizer/hl7:component/hl7:observation
Item: aanvragen per materiaal
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]/hl7:organizer/hl7:component/hl7:observation"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='OBS'">aanvragen per materiaal: @classCode SHALL be present where the value of @classCode is 'OBS' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@moodCode='RQO'">aanvragen per materiaal: @moodCode SHALL be present where the value of @moodCode is 'RQO' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">aanvragen per materiaal: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&lt;=1">aanvragen per materiaal: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:statusCode)&lt;=1">aanvragen per materiaal: element hl7:statusCode appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]/hl7:organizer/hl7:component/hl7:observation/hl7:code
Item: aanvragen per materiaal
-->

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:organizer[@classCode='BATTERY']]/hl7:organizer/hl7:component/hl7:observation/hl7:statusCode
Item: aanvragen per materiaal
-->

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]]
Item: Toelichting voor het lab
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @typeCode='COMP'">Toelichting voor het lab: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">Toelichting voor het lab: element hl7:act is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:act)&lt;=1">Toelichting voor het lab: element hl7:act appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]]/hl7:act
Item: Toelichting voor het lab
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]]/hl7:act"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='ACT'">Toelichting voor het lab: @classCode SHALL be present where the value of @classCode is 'ACT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@moodCode='EVN'">Toelichting voor het lab: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Toelichting voor het lab: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&lt;=1">Toelichting voor het lab: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:text)&lt;=1">Toelichting voor het lab: element hl7:text appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:statusCode)&lt;=1">Toelichting voor het lab: element hl7:statusCode appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]]/hl7:act/hl7:code
Item: Toelichting voor het lab
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]]/hl7:act/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @code='48767-8'">Toelichting voor het lab: A code element SHALL be present where the value of @code is '48767-8' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">Toelichting voor het lab: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]]/hl7:act/hl7:text
Item: Toelichting voor het lab
-->

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:act[@moodCode='RQO']]/hl7:act/hl7:entryRelationship[hl7:act[hl7:code[@code='48767-8']]]/hl7:act/hl7:statusCode
Item: Toelichting voor het lab
-->

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[@typeCode='RSON']
Item: Reden aanvraag
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[@typeCode='RSON']"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @typeCode='RSON'">Reden aanvraag: @typeCode SHALL be present where the value of @typeCode is 'RSON' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:observation[hl7:code[@code='55607006']]]
Item: Vraagstelling
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:observation[hl7:code[@code='55607006']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @typeCode='COMP'">Vraagstelling: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">Vraagstelling: element hl7:observation is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:observation)&lt;=1">Vraagstelling: element hl7:observation appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:observation[hl7:code[@code='55607006']]]/hl7:observation
Item: Vraagstelling
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:observation[hl7:code[@code='55607006']]]/hl7:observation"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='OBS'">Vraagstelling: @classCode SHALL be present where the value of @classCode is 'OBS' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@moodCode='EVN'">Vraagstelling: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Vraagstelling: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&lt;=1">Vraagstelling: element hl7:code appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:observation[hl7:code[@code='55607006']]]/hl7:observation/hl7:code
Item: Vraagstelling
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:entryRelationship[hl7:observation[hl7:code[@code='55607006']]]/hl7:observation/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @code='55607006'">Vraagstelling: A code element SHALL be present where the value of @code is '55607006' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.96'">Vraagstelling: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.96' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalDocument[hl7:code='X-LAB-ORDER']]
Item: Referenties eerdere aanvragen
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalDocument[hl7:code='X-LAB-ORDER']]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @typeCode='REFR'">Referenties eerdere aanvragen: @typeCode SHALL be present where the value of @typeCode is 'REFR' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:externalDocument)&gt;=1 and not(hl7:externalDocument/@nullFlavor)">Referenties eerdere aanvragen: element hl7:externalDocument is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:externalDocument)&lt;=1">Referenties eerdere aanvragen: element hl7:externalDocument appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalDocument[hl7:code='X-LAB-ORDER']]/hl7:externalDocument
Item: Referenties eerdere aanvragen
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalDocument[hl7:code='X-LAB-ORDER']]/hl7:externalDocument"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='DOCCLIN'">Referenties eerdere aanvragen: @classCode SHALL be present where the value of @classCode is 'DOCCLIN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@moodCode='EVN'">Referenties eerdere aanvragen: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Referenties eerdere aanvragen: element hl7:id is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Referenties eerdere aanvragen: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&lt;=1">Referenties eerdere aanvragen: element hl7:code appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalDocument[hl7:code='X-LAB-ORDER']]/hl7:externalDocument/hl7:id
Item: Referenties eerdere aanvragen
-->

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalDocument[hl7:code='X-LAB-ORDER']]/hl7:externalDocument/hl7:code
Item: Referenties eerdere aanvragen
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalDocument[hl7:code='X-LAB-ORDER']]/hl7:externalDocument/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @code='X-LAB-ORDER'">Referenties eerdere aanvragen: A code element SHALL be present where the value of @code is 'X-LAB-ORDER' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">Referenties eerdere aanvragen: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalDocument[hl7:code='11502-2']]
Item: Referentie aan eerdere uitslagen
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalDocument[hl7:code='11502-2']]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @typeCode='REFR'">Referentie aan eerdere uitslagen: @typeCode SHALL be present where the value of @typeCode is 'REFR' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:externalDocument)&gt;=1 and not(hl7:externalDocument/@nullFlavor)">Referentie aan eerdere uitslagen: element hl7:externalDocument is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:externalDocument)&lt;=1">Referentie aan eerdere uitslagen: element hl7:externalDocument appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalDocument[hl7:code='11502-2']]/hl7:externalDocument
Item: Referentie aan eerdere uitslagen
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalDocument[hl7:code='11502-2']]/hl7:externalDocument"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='DOCCLIN'">Referentie aan eerdere uitslagen: @classCode SHALL be present where the value of @classCode is 'DOCCLIN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@moodCode='EVN'">Referentie aan eerdere uitslagen: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">Referentie aan eerdere uitslagen: element hl7:id is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Referentie aan eerdere uitslagen: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&lt;=1">Referentie aan eerdere uitslagen: element hl7:code appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalDocument[hl7:code='11502-2']]/hl7:externalDocument/hl7:id
Item: Referentie aan eerdere uitslagen
-->

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalDocument[hl7:code='11502-2']]/hl7:externalDocument/hl7:code
Item: Referentie aan eerdere uitslagen
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalDocument[hl7:code='11502-2']]/hl7:externalDocument/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @code='11502-2'">Referentie aan eerdere uitslagen: A code element SHALL be present where the value of @code is '11502-2' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">Referentie aan eerdere uitslagen: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalAct[@classCode='XACT']]
Item: DBC
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalAct[@classCode='XACT']]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test=" @typeCode='REFR'">DBC: @typeCode SHALL be present where the value of @typeCode is 'REFR' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:externalAct)&gt;=1 and not(hl7:externalAct/@nullFlavor)">DBC: element hl7:externalAct is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:externalAct)&lt;=1">DBC: element hl7:externalAct appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalAct[@classCode='XACT']]/hl7:externalAct
Item: DBC
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalAct[@classCode='XACT']]/hl7:externalAct"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@classCode='XACT'">DBC: @classCode SHALL be present where the value of @classCode is 'XACT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@moodCode='EVN'">DBC: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">DBC: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="count(hl7:code)&lt;=1">DBC: element hl7:code appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-200
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalAct[@classCode='XACT']]/hl7:externalAct/hl7:code
Item: DBC
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.200']/hl7:act/hl7:reference[hl7:externalAct[@classCode='XACT']]/hl7:externalAct/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-200" test="@nullFlavor or @codeSystem='2.16.840.1.113883.2.4.3.27.15.6'">DBC: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.2.4.3.27.15.6' STATIC </assert></rule>
</pattern>