<?xml version="1.0" encoding="UTF-8"?><!--
==================================
Schematron schema for elab-204 (fragment schematron) 
  204 Monstergegevens

Project: eLab

Copyright 2010 Nictiz


Author: dr Kai U. Heitmann

Version information:
  2010-02-16 KH initial release
  2010-06-28 KH template based
  2010-12-21 KH template 200, 201, 204 en 205 afgerond

DISCLAIMER:
Hoewel deze publicatie met de uiterste zorg is samengesteld, kan Nictiz geen aansprakelijkheid aanvaarden voor directe of indirecte schade ontstaan door de inhoud van
        de – al dan niet door derden aangeboden – informatie.

WARNING:
THIS FILE HAS BEEN GENERATED AUTOMAGICALLY. DON'T EDIT IT.

Creation date: 2011-01-12T13:11:49.071+01:00
==================================

--><!--
Template derived pattern
===========================================
ID: 
Item: Monstergegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="elab-204"><title>Monstergegevens - scenario(s): #ANY</title>
<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']
Item: Monstergegevens - scenario(s): #ANY
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test=" @typeCode='DRIV'">Monstergegevens: @typeCode SHALL be present where the value of @typeCode is 'DRIV' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test=" @contextConductionInd='true'">Monstergegevens: @contextConductionInd SHALL have value 'true' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">Monstergegevens: element hl7:act is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(hl7:act)&lt;=1">Monstergegevens: element hl7:act appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act
Item: Monstergegevens
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@classCode='ACT'">Monstergegevens: @classCode SHALL be present where the value of @classCode is 'ACT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@moodCode='EVN'">Monstergegevens: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Monstergegevens: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(hl7:code)&lt;=1">Monstergegevens: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(hl7:statusCode)&lt;=1">Monstergegevens: element hl7:statusCode appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(hl7:specimen)&gt;=1 and not(hl7:specimen/@nullFlavor)">Monstergegevens: element hl7:specimen is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(hl7:participant)&lt;=1">Monstergegevens: element hl7:participant appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:code
Item: Monstergegevens
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@nullFlavor or @code='X-LAB-SPMSCT'">Monstergegevens: A code element SHALL be present where the value of @code is 'X-LAB-SPMSCT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">Monstergegevens: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:statusCode
Item: Monstergegevens
-->

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen
Item: Specimen
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test=" @typeCode='SPC'">Specimen: @typeCode SHALL be present where the value of @typeCode is 'SPC' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(hl7:specimenRole)&gt;=1 and not(hl7:specimenRole/@nullFlavor)">Specimen: element hl7:specimenRole is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(hl7:specimenRole)&lt;=1">Specimen: element hl7:specimenRole appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole
Item: Specimen
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@classCode='SPEC' or @classCode='ISLT'">Specimen: @classCode SHALL be present where the value of @classCode contains codes SPEC ISLT  only STATIC</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(hl7:id)&gt;=1 ">Specimen: element hl7:id is required [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(hl7:id)&lt;=1">Specimen: element hl7:id appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(hl7:specimenPlayingEntity[@classCode='ENT'])&lt;=1">Specimen: element hl7:specimenPlayingEntity[@classCode='ENT'] (Specimen playing entity)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(hl7:specimenPlayingEntity[@classCode='MIC'])&lt;=1">Specimen: element hl7:specimenPlayingEntity[@classCode='MIC'] (Specimen playing entity)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:id
Item: Specimen
-->

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='ENT']
Item: Specimen playing entity
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='ENT']"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@classCode='ENT'">Specimen playing entity: @classCode SHALL be present where the value of @classCode is 'ENT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test=" @determinerCode='INSTANCE'">Specimen playing entity: @determinerCode SHALL have value 'INSTANCE' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Specimen playing entity: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(hl7:code)&lt;=1">Specimen playing entity: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(hl7:quantity)&lt;=1">Specimen playing entity: element hl7:quantity appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:asSpecimenInContainer)&lt;=1">Specimen playing entity: element lab:asSpecimenInContainer appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='ENT']/hl7:code
Item: Specimen playing entity
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='ENT']/hl7:code"><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="valueFromValueSet" value="'SpecimenType'"/><let name="theDisplayName" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@displayName[1])"/><let name="theeffectiveDate" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/@effectiveDate)"/><let name="requiredCodeSystem" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@codeSystem)"/><let name="type" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@type)"/><let name="theNullFlavor" value="@nullFlavor"/><let name="validNullFlavor" value="document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="(string-length($theDisplayName)&gt;0 and ($theCodeSystem=$requiredCodeSystem)) or string-length($validNullFlavor)&gt;0">Specimen playing entity: A code element SHALL be present where the value of @code is selected from Value Set '<value-of select="$valueFromValueSet"/>' DYNAMIC <value-of select="$theeffectiveDate"/> - found code= <value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="not(@nullFlavor) or string-length($validNullFlavor)&gt;0">Specimen playing entity: @nullFlavor '<value-of select="$theNullFlavor"/>' is not allowed in this context</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="not($type='A') or string-length($validNullFlavor)&gt;0">Specimen playing entity: the code used is an abstract node and cannot be chosen as a valid code  - found: code=<value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='ENT']/hl7:quantity
Item: Specimen playing entity
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='ENT']/hl7:quantity"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">Specimen playing entity: An @xsi:type instruction SHALL be present where the value is 'PQ' STATIC or datatype SHALL be 'PQ'</assert><let name="theValue" value="@value"/><let name="digitok" value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="$digitok">Specimen playing entity: @value is not a valid PQ number <value-of select="$theValue"/></assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='ENT']/lab:asSpecimenInContainer
Item: Specimen playing entity
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='ENT']/lab:asSpecimenInContainer"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@classCode='CONT'">Specimen playing entity: @classCode SHALL be present where the value of @classCode is 'CONT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:container)&gt;=1 and not(lab:container/@nullFlavor)">Specimen playing entity: element lab:container is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:container)&lt;=1">Specimen playing entity: element lab:container appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='ENT']/lab:asSpecimenInContainer/lab:container
Item: Specimen playing entity
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='ENT']/lab:asSpecimenInContainer/lab:container"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@classCode='CONT'">Specimen playing entity: @classCode SHALL be present where the value of @classCode is 'CONT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test=" @determinerCode='INSTANCE'">Specimen playing entity: @determinerCode SHALL have value 'INSTANCE' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:code)&gt;=1 and not(lab:code/@nullFlavor)">Specimen playing entity: element lab:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:code)&lt;=1">Specimen playing entity: element lab:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:asEntityInEntity)&gt;=1 and not(lab:asEntityInEntity/@nullFlavor)">Specimen playing entity: element lab:asEntityInEntity is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:asEntityInEntity)&lt;=1">Specimen playing entity: element lab:asEntityInEntity appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='ENT']/lab:asSpecimenInContainer/lab:container/lab:code
Item: Specimen playing entity
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='ENT']/lab:asSpecimenInContainer/lab:container/lab:code"><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="valueFromValueSet" value="'ContainerEntityType'"/><let name="theDisplayName" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@displayName[1])"/><let name="theeffectiveDate" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/@effectiveDate)"/><let name="requiredCodeSystem" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@codeSystem)"/><let name="type" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@type)"/><let name="theNullFlavor" value="@nullFlavor"/><let name="validNullFlavor" value="document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="(string-length($theDisplayName)&gt;0 and ($theCodeSystem=$requiredCodeSystem)) or string-length($validNullFlavor)&gt;0">Specimen playing entity: A code element SHALL be present where the value of @code is selected from Value Set '<value-of select="$valueFromValueSet"/>' DYNAMIC <value-of select="$theeffectiveDate"/> - found code= <value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="not(@nullFlavor) or string-length($validNullFlavor)&gt;0">Specimen playing entity: @nullFlavor '<value-of select="$theNullFlavor"/>' is not allowed in this context</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="not($type='A') or string-length($validNullFlavor)&gt;0">Specimen playing entity: the code used is an abstract node and cannot be chosen as a valid code  - found: code=<value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='ENT']/lab:asSpecimenInContainer/lab:container/lab:asEntityInEntity
Item: Specimen playing entity
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='ENT']/lab:asSpecimenInContainer/lab:container/lab:asEntityInEntity"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@classCode='CONT'">Specimen playing entity: @classCode SHALL be present where the value of @classCode is 'CONT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:containerAdditiveMaterial)&gt;=1 and not(lab:containerAdditiveMaterial/@nullFlavor)">Specimen playing entity: element lab:containerAdditiveMaterial is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:containerAdditiveMaterial)&lt;=1">Specimen playing entity: element lab:containerAdditiveMaterial appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='ENT']/lab:asSpecimenInContainer/lab:container/lab:asEntityInEntity/lab:containerAdditiveMaterial
Item: Specimen playing entity
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='ENT']/lab:asSpecimenInContainer/lab:container/lab:asEntityInEntity/lab:containerAdditiveMaterial"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@classCode='MAT'">Specimen playing entity: @classCode SHALL be present where the value of @classCode is 'MAT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test=" @determinerCode='KIND'">Specimen playing entity: @determinerCode SHALL have value 'KIND' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:code)&gt;=1 and not(lab:code/@nullFlavor)">Specimen playing entity: element lab:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:code)&lt;=1">Specimen playing entity: element lab:code appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='ENT']/lab:asSpecimenInContainer/lab:container/lab:asEntityInEntity/lab:containerAdditiveMaterial/lab:code
Item: Specimen playing entity
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='ENT']/lab:asSpecimenInContainer/lab:container/lab:asEntityInEntity/lab:containerAdditiveMaterial/lab:code"><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="valueFromValueSet" value="'MaterialEntityAdditive'"/><let name="theDisplayName" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@displayName[1])"/><let name="theeffectiveDate" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/@effectiveDate)"/><let name="requiredCodeSystem" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@codeSystem)"/><let name="type" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@type)"/><let name="theNullFlavor" value="@nullFlavor"/><let name="validNullFlavor" value="document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="(string-length($theDisplayName)&gt;0 and ($theCodeSystem=$requiredCodeSystem)) or string-length($validNullFlavor)&gt;0">Specimen playing entity: A code element SHALL be present where the value of @code is selected from Value Set '<value-of select="$valueFromValueSet"/>' DYNAMIC <value-of select="$theeffectiveDate"/> - found code= <value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="not(@nullFlavor) or string-length($validNullFlavor)&gt;0">Specimen playing entity: @nullFlavor '<value-of select="$theNullFlavor"/>' is not allowed in this context</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="not($type='A') or string-length($validNullFlavor)&gt;0">Specimen playing entity: the code used is an abstract node and cannot be chosen as a valid code  - found: code=<value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='MIC']
Item: Specimen playing entity
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='MIC']"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@classCode='MIC'">Specimen playing entity: @classCode SHALL be present where the value of @classCode is 'MIC' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test=" @determinerCode='INSTANCE'">Specimen playing entity: @determinerCode SHALL have value 'INSTANCE' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Specimen playing entity: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(hl7:code)&lt;=1">Specimen playing entity: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(hl7:quantity)&lt;=1">Specimen playing entity: element hl7:quantity appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:asSpecimenInContainer)&lt;=1">Specimen playing entity: element lab:asSpecimenInContainer appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='MIC']/hl7:code
Item: Specimen playing entity
-->

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='MIC']/hl7:quantity
Item: Specimen playing entity
-->

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='MIC']/lab:asSpecimenInContainer
Item: Specimen playing entity
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='MIC']/lab:asSpecimenInContainer"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@classCode='CONT'">Specimen playing entity: @classCode SHALL be present where the value of @classCode is 'CONT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:container)&gt;=1 and not(lab:container/@nullFlavor)">Specimen playing entity: element lab:container is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:container)&lt;=1">Specimen playing entity: element lab:container appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='MIC']/lab:asSpecimenInContainer/lab:container
Item: Specimen playing entity
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='MIC']/lab:asSpecimenInContainer/lab:container"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@classCode='CONT'">Specimen playing entity: @classCode SHALL be present where the value of @classCode is 'CONT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test=" @determinerCode='INSTANCE'">Specimen playing entity: @determinerCode SHALL have value 'INSTANCE' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:code)&gt;=1 and not(lab:code/@nullFlavor)">Specimen playing entity: element lab:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:code)&lt;=1">Specimen playing entity: element lab:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:asEntityInEntity)&gt;=1 and not(lab:asEntityInEntity/@nullFlavor)">Specimen playing entity: element lab:asEntityInEntity is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:asEntityInEntity)&lt;=1">Specimen playing entity: element lab:asEntityInEntity appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='MIC']/lab:asSpecimenInContainer/lab:container/lab:code
Item: Specimen playing entity
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='MIC']/lab:asSpecimenInContainer/lab:container/lab:code"><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="valueFromValueSet" value="'ContainerEntityType'"/><let name="theDisplayName" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@displayName[1])"/><let name="theeffectiveDate" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/@effectiveDate)"/><let name="requiredCodeSystem" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@codeSystem)"/><let name="type" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@type)"/><let name="theNullFlavor" value="@nullFlavor"/><let name="validNullFlavor" value="document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="(string-length($theDisplayName)&gt;0 and ($theCodeSystem=$requiredCodeSystem)) or string-length($validNullFlavor)&gt;0">Specimen playing entity: A code element SHALL be present where the value of @code is selected from Value Set '<value-of select="$valueFromValueSet"/>' DYNAMIC <value-of select="$theeffectiveDate"/> - found code= <value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="not(@nullFlavor) or string-length($validNullFlavor)&gt;0">Specimen playing entity: @nullFlavor '<value-of select="$theNullFlavor"/>' is not allowed in this context</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="not($type='A') or string-length($validNullFlavor)&gt;0">Specimen playing entity: the code used is an abstract node and cannot be chosen as a valid code  - found: code=<value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='MIC']/lab:asSpecimenInContainer/lab:container/lab:asEntityInEntity
Item: Specimen playing entity
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='MIC']/lab:asSpecimenInContainer/lab:container/lab:asEntityInEntity"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@classCode='CONT'">Specimen playing entity: @classCode SHALL be present where the value of @classCode is 'CONT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:containerAdditiveMaterial)&gt;=1 and not(lab:containerAdditiveMaterial/@nullFlavor)">Specimen playing entity: element lab:containerAdditiveMaterial is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:containerAdditiveMaterial)&lt;=1">Specimen playing entity: element lab:containerAdditiveMaterial appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='MIC']/lab:asSpecimenInContainer/lab:container/lab:asEntityInEntity/lab:containerAdditiveMaterial
Item: Specimen playing entity
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='MIC']/lab:asSpecimenInContainer/lab:container/lab:asEntityInEntity/lab:containerAdditiveMaterial"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@classCode='MAT'">Specimen playing entity: @classCode SHALL be present where the value of @classCode is 'MAT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test=" @determinerCode='KIND'">Specimen playing entity: @determinerCode SHALL have value 'KIND' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:code)&gt;=1 and not(lab:code/@nullFlavor)">Specimen playing entity: element lab:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:code)&lt;=1">Specimen playing entity: element lab:code appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='MIC']/lab:asSpecimenInContainer/lab:container/lab:asEntityInEntity/lab:containerAdditiveMaterial/lab:code
Item: Specimen playing entity
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity[@classCode='MIC']/lab:asSpecimenInContainer/lab:container/lab:asEntityInEntity/lab:containerAdditiveMaterial/lab:code"><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="valueFromValueSet" value="'MaterialEntityAdditive'"/><let name="theDisplayName" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@displayName[1])"/><let name="theeffectiveDate" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/@effectiveDate)"/><let name="requiredCodeSystem" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@codeSystem)"/><let name="type" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@type)"/><let name="theNullFlavor" value="@nullFlavor"/><let name="validNullFlavor" value="document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="(string-length($theDisplayName)&gt;0 and ($theCodeSystem=$requiredCodeSystem)) or string-length($validNullFlavor)&gt;0">Specimen playing entity: A code element SHALL be present where the value of @code is selected from Value Set '<value-of select="$valueFromValueSet"/>' DYNAMIC <value-of select="$theeffectiveDate"/> - found code= <value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="not(@nullFlavor) or string-length($validNullFlavor)&gt;0">Specimen playing entity: @nullFlavor '<value-of select="$theNullFlavor"/>' is not allowed in this context</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="not($type='A') or string-length($validNullFlavor)&gt;0">Specimen playing entity: the code used is an abstract node and cannot be chosen as a valid code  - found: code=<value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf
Item: Specimen collection process
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test=" @typeCode='PRD'">Specimen collection process: @typeCode SHALL be present where the value of @typeCode is 'PRD' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf/lab:specimenCollectionProcess
Item: Specimen collection process
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf/lab:specimenCollectionProcess"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@classCode='SPECCOLLECT'">Specimen collection process: @classCode SHALL be present where the value of @classCode is 'SPECCOLLECT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@moodCode='EVN'">Specimen collection process: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:code)&lt;=1">Specimen collection process: element lab:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:effectiveTime)&lt;=1">Specimen collection process: element lab:effectiveTime appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:targetSiteCode)&lt;=1">Specimen collection process: element lab:targetSiteCode appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf/lab:specimenCollectionProcess/lab:code
Item: Specimen collection process
-->

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf/lab:specimenCollectionProcess/lab:effectiveTime
Item: Specimen collection process
-->

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf/lab:specimenCollectionProcess/lab:targetSiteCode
Item: Specimen collection process
-->

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf/lab:specimenProcessStep
Item: Specimen collection process
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf/lab:specimenProcessStep"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@classCode='TRNS'">Specimen collection process: @classCode SHALL be present where the value of @classCode is 'TRNS' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@moodCode='EVN'">Specimen collection process: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:code)&lt;=1">Specimen collection process: element lab:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:effectiveTime)&lt;=1">Specimen collection process: element lab:effectiveTime appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:performer)&lt;=1">Specimen collection process: element lab:performer appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf/lab:specimenProcessStep/lab:code
Item: Specimen collection process
-->

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf/lab:specimenProcessStep/lab:effectiveTime
Item: Specimen collection process
-->

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf/lab:specimenProcessStep/lab:performer
Item: Specimen collection process
-->

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/lab:subjectOf
Item: Specimen process step
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/lab:subjectOf"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test=" @typeCode='SBJ'">Specimen process step: @typeCode SHALL be present where the value of @typeCode is 'SBJ' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:observationEvent)&gt;=1 and not(lab:observationEvent/@nullFlavor)">Specimen process step: element lab:observationEvent is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:observationEvent)&lt;=1">Specimen process step: element lab:observationEvent appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/lab:subjectOf/lab:observationEvent
Item: Specimen process step
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/lab:subjectOf/lab:observationEvent"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@classCode='SPCOBS'">Specimen process step: @classCode SHALL be present where the value of @classCode is 'SPCOBS' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="@moodCode='EVN'">Specimen process step: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:code)&lt;=1">Specimen process step: element lab:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:statusCode)&lt;=1">Specimen process step: element lab:statusCode appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test="count(lab:value)&lt;=1">Specimen process step: element lab:value appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/lab:subjectOf/lab:observationEvent/lab:code
Item: Specimen process step
-->

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/lab:subjectOf/lab:observationEvent/lab:statusCode
Item: Specimen process step
-->

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:specimen/hl7:specimenRole/lab:subjectOf/lab:observationEvent/lab:value
Item: Specimen process step
-->

<!--
Template derived rules for ID: elab-204
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:participant
Item: Monstergegevens
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.204']/hl7:act/hl7:participant"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-204" test=" @typeCode='LOC'">Monstergegevens: @typeCode SHALL be present where the value of @typeCode is 'LOC' STATIC </assert></rule>
</pattern>