<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    Implementatiehandleiding HL7v3 Basiscomponenten, v2.2 - Datatype 1.0 CS - Coded Simple
    Status: in behandeling
-->
<rule abstract="true" id="CS" see="http://hl7book.net/index.php?title=DatatypesR1:CS" xmlns="http://purl.oclc.org/dsdl/schematron">
    <assert role="error" test="(@nullFlavor and not(@code)) or (not(@nullFlavor) and @code)">Datatype CS: null violation</assert>
    <assert role="error" test="not(@codeSystem)">Datatype CS: cannot have codeSystem</assert>
    <assert role="error" test="not(@codeSystemName)">Datatype CS: cannot have codeSystemName</assert>
    <assert role="error" test="not(@codeSystemVersion)">Datatype CS: cannot have codeSystemVersion</assert>
    <assert role="error" test="not(@displayName)">Datatype CS: cannot have displayName</assert>
    <assert role="error" test="not(hl7:originalText)"
        >Datatype CS: cannot have originalText</assert>
    <assert role="error" test="not(hl7:qualifier)"
        >Datatype CS: cannot have qualifier</assert>
    <assert role="error" test="not(hl7:translation)"
        >Datatype CS: cannot have translation</assert>
</rule>
