<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.121
Description: COCT_RM900914NL: Zwangerschaps- en bevallingsgegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.121">
   <title>A_Zwangerschap [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]"
         id="tmp-4fcb375e-eddf-4b7d-9d3f-dad55d4c1ec2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:pregnancyCondition)&gt;=1 and not(hl7:pregnancyCondition/@nullFlavor)">(A_Zwangerschap-universal): element hl7:pregnancyCondition is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:pregnancyCondition)&lt;=1">(A_Zwangerschap-universal): element hl7:pregnancyCondition komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition"
         id="tmp-059cd9b7-25cf-429d-9d93-499187a6647b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='COND' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'COND' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']/@nullFlavor)">(A_Zwangerschap-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121'])&lt;=1">(A_Zwangerschap-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">(A_Zwangerschap-universal): element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:subject)&lt;=1">(A_Zwangerschap-universal): element hl7:subject komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:outcome)&lt;=1">(A_Zwangerschap-universal): element hl7:outcome komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:sequelTo)=0">(A_Zwangerschap-universal): element hl7:sequelTo MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']"
         id="tmp-80c41909-9142-4fc1-ba83-e3ada3a01f25">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.121'">(A_Zwangerschap-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.121' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(A_Zwangerschap-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:code"
         id="tmp-89be119e-55c2-442d-93d0-9e81ec693827">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''R014' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject"
         id="tmp-8ff983d8-223d-4b83-afda-fdcf72ecda4d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@typeCode='SBJ' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:patient|hl7:personalRelationship[hl7:code[@code='NMTH' and @codeSystem='2.16.840.1.113883.5.111']])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$elmcount&gt;=1">(A_Zwangerschap-universal): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='NMTH' and @codeSystem='2.16.840.1.113883.5.111']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$elmcount&lt;=1">(A_Zwangerschap-universal): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='NMTH' and @codeSystem='2.16.840.1.113883.5.111']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject"
         id="tmp-78151db6-5073-4dfd-9973-8ef316aa492a">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:patient)=0">(A_Zwangerschap-universal): element hl7:patient MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:patient
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:patient"
         id="tmp-ff2bbc98-7f6c-437c-9e5c-b40a812dd0f8">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='PAT' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship"
         id="tmp-0cbf77e4-0bcd-4d7e-b863-423ca1b9a735">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='PRS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 ">(A_Zwangerschap-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(A_Zwangerschap-universal): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:relationshipHolder)&lt;=1">(A_Zwangerschap-universal): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship/hl7:code"
         id="tmp-c970bd14-6b63-47e3-8a96-1428d751fa5b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='NMTH' and @codeSystem='2.16.840.1.113883.5.111')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''NMTH' codeSystem '2.16.840.1.113883.5.111'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-be8eb5ab-393e-4916-b79d-59173944e7bf">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor='NI'">(A_Zwangerschap-universal): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error" test="@xsi:nil='true'">(A_Zwangerschap-universal): 
                                    <name/>/@xsi:nil MOET 'true' bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1"
         id="tmp-0e04a2e8-d2cc-49fc-9074-bf576dda939f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$elmcount&gt;=1">(A_Zwangerschap-universal): keuze (hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$elmcount&lt;=1">(A_Zwangerschap-universal): keuze (hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1
Item: (A_Zwangerschap-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-ad3f96b0-3605-4966-864a-3e544b266d6e">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:component)=0">(A_Zwangerschap-universal): element hl7:component MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-6ad17605-c82d-43e7-a3a7-a75ce467e9ae">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''82' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-00a16c44-30f5-4838-8e84-5fede3f1eacc">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="(@nullFlavor or (@unit='d'))">(A_Zwangerschap-universal): value MOET eenheid 'd' gebruiken </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component
Item: (A_Zwangerschap-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-13703018-65d0-4973-8e1c-e36e2466ae1d">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:component)=0">(A_Zwangerschap-universal): element hl7:component MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-d3338559-fe3a-40a3-8660-3a6e2a24faa3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='91' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='92' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code MOET één van de volgende codes bevatten: '91' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '92' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-00440c01-781a-40bc-8b72-28e0260b9434">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component
Item: (A_Zwangerschap-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-1149c45c-826b-48a5-8f0b-7d50d1272673">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-3d1fc010-f0f7-4754-9a7e-6b7d09cf07ee">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''93' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-c0f24619-63fe-429e-9fb5-ef56604f04e2">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component"
         id="tmp-ee3bac9c-2826-48e4-b290-7ee213487bbd">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:detailPregnancyObservation)&gt;=1 and not(hl7:detailPregnancyObservation/@nullFlavor)">(A_Zwangerschap-universal): element hl7:detailPregnancyObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:detailPregnancyObservation)&lt;=1">(A_Zwangerschap-universal): element hl7:detailPregnancyObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation"
         id="tmp-608ddb09-1c94-4d06-889c-7ca874435011">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation/hl7:code"
         id="tmp-3c33c618-c55c-43fa-9337-c26b8c116cf1">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='745' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''745' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation/hl7:value"
         id="tmp-45c559a6-9cf1-45e6-8dc0-b4eca06968ad">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0147_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0147_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_Zwangerschap-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0147_HL7 W0147 Type drugs (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Zwangerschap-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0147_HL7 W0147 Type drugs (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-c8306373-3b15-4feb-9795-37fed0ddce03">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:component)=0">(A_Zwangerschap-universal): element hl7:component MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-acc4dbe3-0c59-4371-ad80-7b5ddfd289a4">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='619' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''619' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-cca02c87-c1ae-466f-b179-14408c08a803">
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(A_Zwangerschap-universal): value MOET in bereik [1..] liggen  </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component
Item: (A_Zwangerschap-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-f54d1023-73f1-484b-9def-6ccd4dcbe2e2">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:component)=0">(A_Zwangerschap-universal): element hl7:component MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-abba4906-7b0e-4be5-9716-3ec8bb4734b3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='740' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='741' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code MOET één van de volgende codes bevatten: '740' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '741' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-6727698d-6cac-4201-a2d0-0a2839782715">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(A_Zwangerschap-universal): value MOET in bereik [1..] liggen  </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component
Item: (A_Zwangerschap-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2"
         id="tmp-4275d8c7-38c1-403e-8868-28736b7ac66b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:substanceAdministrationEvent)&gt;=1 and not(hl7:substanceAdministrationEvent/@nullFlavor)">(A_Zwangerschap-universal): element hl7:substanceAdministrationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:substanceAdministrationEvent)&lt;=1">(A_Zwangerschap-universal): element hl7:substanceAdministrationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent"
         id="tmp-8e47d019-a2d0-44ce-bdf7-b2a1fffc5019">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='SBADM' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(A_Zwangerschap-universal): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:consumable)&lt;=1">(A_Zwangerschap-universal): element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable"
         id="tmp-5d456d3e-62f5-4dd0-855f-be2e9dcdae29">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@typeCode='CSM' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)">(A_Zwangerschap-universal): element hl7:medication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:medication)&lt;=1">(A_Zwangerschap-universal): element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication"
         id="tmp-f979c14f-7a6b-4c5f-9523-1650c2381dd5">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='ADMM' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)">(A_Zwangerschap-universal): element hl7:administrableMedicine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:administrableMedicine)&lt;=1">(A_Zwangerschap-universal): element hl7:administrableMedicine komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine"
         id="tmp-0ed3f8bc-1d6d-400a-b4b4-105e00155acf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='MMAT' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@determinerCode='KIND' or not(@determinerCode)">(A_Zwangerschap-universal): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 ">(A_Zwangerschap-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code"
         id="tmp-fb7d0201-4e4e-4abc-8a8d-c03bb76ecfc6">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0134_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0134_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_Zwangerschap-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0134_HL7 W0134 Medicijnen soort (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Zwangerschap-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0134_HL7 W0134 Medicijnen soort (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome"
         id="tmp-efc4f625-b74c-4b61-a88d-8a15c4c2b860">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@typeCode='OUTC' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'OUTC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:delivery)&gt;=1 and not(hl7:delivery/@nullFlavor)">(A_Zwangerschap-universal): element hl7:delivery is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:delivery)&lt;=1">(A_Zwangerschap-universal): element hl7:delivery komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery"
         id="tmp-b04bef43-ea2d-43c6-aa5f-8ce12b323faf">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='PROC' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:code"
         id="tmp-3cd21a60-1c33-4b2d-ad27-99a28d3836b5">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''R015' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component"
         id="tmp-06a7ec2a-29e6-4e2b-b2f5-1c80e3ef9705">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]|hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']])"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$elmcount&gt;=1">(A_Zwangerschap-universal): keuze (hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']] of hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$elmcount&lt;=1">(A_Zwangerschap-universal): keuze (hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']] of hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component
Item: (A_Zwangerschap-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-5201c03c-c484-4e1d-8b2c-b747179857c0">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-b260864d-010e-4b48-b172-37abbc2f2761">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''97' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-41a0e000-1164-483c-9a7c-2b838fde4161">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="(@nullFlavor or (@unit='min'))">(A_Zwangerschap-universal): value MOET eenheid 'min' gebruiken </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-faea56cf-1ffb-4014-9325-75082a7508ec">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-942e48dd-481c-48e5-8c62-551efbc83d9c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''98' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-d0bc2023-adf6-4a37-8ee2-57d5da075463">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="(@nullFlavor or (@unit='min'))">(A_Zwangerschap-universal): value MOET eenheid 'min' gebruiken </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-872295ce-b279-416a-bfc8-2680df016f1b">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 ">(A_Zwangerschap-universal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-b44ce066-d0eb-403b-9efb-f43309ece8fc">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''100' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-da718ea0-cd4b-42c4-8823-a7216106d983">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0153_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0153_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_Zwangerschap-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0153_HL7 W0153 Ligging bij geboorte (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Zwangerschap-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0153_HL7 W0153 Ligging bij geboorte (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]"
         id="tmp-59dfebe3-8b27-4ced-a6db-006968107ea1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 ">(A_Zwangerschap-universal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:code"
         id="tmp-8e96ea6b-8263-4d76-8729-4afb9c6c53f2">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''38386-9' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:value"
         id="tmp-c2e642bd-adbc-461a-a791-4e8de7b880a6">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0158_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0158_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_Zwangerschap-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0158_HL7 W0158 Kleur vruchtwater (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Zwangerschap-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0158_HL7 W0158 Kleur vruchtwater (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-788ee6c3-6e2f-4f79-b017-95d8b7b50b6f">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-9269f567-12c3-4e8c-9d45-63610bd9353e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code MOET één van de volgende codes bevatten: '105' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1323' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-84b33c78-4004-4ff1-a490-43996852d2c3">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-aff811b0-6110-4b55-b350-7c5c7066b3b1">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-27409467-917d-44a0-b861-06604a4102d8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code MOET één van de volgende codes bevatten: '106' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '107' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1324' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-8867c702-0031-463b-a26b-1858f1b5d9ff">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:sequelTo
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:sequelTo"
         id="tmp-b2f90665-158f-4c7e-8c80-00d3e9e33f55">
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:sequenceNumber)&lt;=1">(A_Zwangerschap-universal): element hl7:sequenceNumber komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:sequelTo/hl7:sequenceNumber
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:sequelTo/hl7:sequenceNumber"
         id="tmp-e32cbc95-3617-4d11-9cff-65e62ea6fb84">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/jeugdgezondheidszorg/jgz-html-20120821T092252/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(A_Zwangerschap-universal): value MOET in bereik [1..] liggen  </assert>
   </rule>
</pattern>
