<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.10
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.10">
   <title>Correspondentie Verkort</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]
Item: (TMP CorrespondentieVerkort)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act
Item: (TMP CorrespondentieVerkort)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act"
         id="tmp-b9e44282-91ee-448d-ad1d-c26c339c00c9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@classCode='DOCCLIN'">(TMP CorrespondentieVerkort): De waarde van @classCode MOET 'DOCCLIN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@moodCode='EVN'">(TMP CorrespondentieVerkort): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10']/@nullFlavor)">(TMP CorrespondentieVerkort): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10'])&lt;=1">(TMP CorrespondentieVerkort): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP CorrespondentieVerkort): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:code)&gt;=1 ">(TMP CorrespondentieVerkort): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:code)&lt;=1">(TMP CorrespondentieVerkort): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:text)&lt;=1">(TMP CorrespondentieVerkort): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(TMP CorrespondentieVerkort): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:author)&lt;=1">(TMP CorrespondentieVerkort): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10']
Item: (TMP CorrespondentieVerkort)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.10']"
         id="tmp-4ffa0721-c5a1-4620-aef5-bf35800769cd">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.10'">(TMP CorrespondentieVerkort): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.10' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP CorrespondentieVerkort): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:id
Item: (TMP CorrespondentieVerkort)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:id"
         id="tmp-7880d6c3-d650-4fb6-852a-387a41763933">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP CorrespondentieVerkort): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:code
Item: (TMP CorrespondentieVerkort)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:code"
         id="tmp-76ad1bb3-780f-436c-bf9e-e9dea7340b67">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP CorrespondentieVerkort): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:text
Item: (TMP CorrespondentieVerkort)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author
Item: (TMP CorrespondentieVerkort)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author"
         id="tmp-4574d723-3a11-4185-b7da-df781ffa52e2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@typeCode='AUT'">(TMP CorrespondentieVerkort): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@contextControlCode='ON'">(TMP CorrespondentieVerkort): De waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(TMP CorrespondentieVerkort): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:time)&lt;=1">(TMP CorrespondentieVerkort): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&gt;=1 and not(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/@nullFlavor)">(TMP CorrespondentieVerkort): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(TMP CorrespondentieVerkort): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:time
Item: (TMP CorrespondentieVerkort)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:time"
         id="tmp-261f413d-7964-4033-ad70-619805f639ad">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP CorrespondentieVerkort): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP CorrespondentieVerkort)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-c48d2795-ffd7-4101-aa9f-fbee3e9a604f">
      <extends rule="tmp-1807d599-e4c7-43a2-8728-1cb65a87b220"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@classCode='ASSIGNED'">(TMP CorrespondentieVerkort): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:code)&gt;=1 ">(TMP CorrespondentieVerkort): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:code)&lt;=1">(TMP CorrespondentieVerkort): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code
Item: (TMP CorrespondentieVerkort)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:code"
         id="tmp-eedf4afd-c14e-475c-9edd-c839c184eaf7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.12')">(TMP CorrespondentieVerkort): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.30.12' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (TMP CorrespondentieVerkort)
-->
<rule id="tmp-1807d599-e4c7-43a2-8728-1cb65a87b220" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP CorrespondentieVerkort): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP CorrespondentieVerkort): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.10
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']
Item: (TMP CorrespondentieVerkort)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.10']]/hl7:act/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']"
         id="tmp-b388c5df-da57-4c1f-89ff-e9a179bd7317">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.21'">(TMP CorrespondentieVerkort): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.21' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.10.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP CorrespondentieVerkort): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>