<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.117
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.117">
   <title>Intercollegiaal consult</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.117
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.117']]
Item: (TMP IntercollegiaalConsult)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.117
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.117']]/hl7:observation
Item: (TMP IntercollegiaalConsult)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.117']]/hl7:observation"
         id="tmp-ccc23d73-e2b3-4f11-9af8-e2f8e0be2459">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="@classCode='OBS'">(TMP IntercollegiaalConsult): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="@moodCode='EVN'">(TMP IntercollegiaalConsult): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']/@nullFlavor)">(TMP IntercollegiaalConsult): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117'])&lt;=1">(TMP IntercollegiaalConsult): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP IntercollegiaalConsult): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="count(hl7:code)&lt;=1">(TMP IntercollegiaalConsult): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP IntercollegiaalConsult): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="count(hl7:value)&lt;=1">(TMP IntercollegiaalConsult): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.117
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.117']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']
Item: (TMP IntercollegiaalConsult)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.117']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.117']"
         id="tmp-851b05eb-ba67-4ce9-9b6d-07a151c10a3c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.117'">(TMP IntercollegiaalConsult): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.117' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP IntercollegiaalConsult): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.117
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.117']]/hl7:observation/hl7:code
Item: (TMP IntercollegiaalConsult)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.117']]/hl7:observation/hl7:code"
         id="tmp-dc65dda3-4c62-4f45-b9f7-c5a052981c78">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP IntercollegiaalConsult): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="@nullFlavor or (@code='47042-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Counseling note')">(TMP IntercollegiaalConsult): De waarde van @code/@codeSystem MOET '47042-7' codeSystem '2.16.840.1.113883.6.1' displayName='Counseling note' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.117
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.117']]/hl7:observation/hl7:value
Item: (TMP IntercollegiaalConsult)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.117']]/hl7:observation/hl7:value"
         id="tmp-12f1f279-baec-4cf7-9c30-e127622cffb6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.117.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP IntercollegiaalConsult): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>