<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.17
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.17">
   <title>Belaste Familieanamnese</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.17
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]
Item: (TMP BelasteFamilieanamnese)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.17
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation
Item: (TMP BelasteFamilieanamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation"
         id="tmp-bff26706-37f9-4e45-95cf-87c7928ce113">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@classCode='OBS'">(TMP BelasteFamilieanamnese): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@moodCode='EVN'">(TMP BelasteFamilieanamnese): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']/@nullFlavor)">(TMP BelasteFamilieanamnese): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17'])&lt;=1">(TMP BelasteFamilieanamnese): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP BelasteFamilieanamnese): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:id)&lt;=1">(TMP BelasteFamilieanamnese): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP BelasteFamilieanamnese): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:code)&lt;=1">(TMP BelasteFamilieanamnese): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:text)&lt;=1">(TMP BelasteFamilieanamnese): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:statusCode)&lt;=1">(TMP BelasteFamilieanamnese): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP BelasteFamilieanamnese): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:value)&gt;=1 ">(TMP BelasteFamilieanamnese): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:value)&lt;=1">(TMP BelasteFamilieanamnese): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:author)&lt;=1">(TMP BelasteFamilieanamnese): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">(TMP BelasteFamilieanamnese): element hl7:subject is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.17
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']
Item: (TMP BelasteFamilieanamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']"
         id="tmp-a804639e-a3b9-4dc3-b847-27ac3d793c4c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.17'">(TMP BelasteFamilieanamnese): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.17' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP BelasteFamilieanamnese): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.17
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:id
Item: (TMP BelasteFamilieanamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:id"
         id="tmp-6dfaa92e-e5ae-470e-a6b7-c7be5bad77b9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP BelasteFamilieanamnese): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.17
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:code
Item: (TMP BelasteFamilieanamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:code"
         id="tmp-447b69e6-5c07-4d8f-b9bd-d7a6d277843b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP BelasteFamilieanamnese): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@nullFlavor or (@code='10157-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='History of family member diseases')">(TMP BelasteFamilieanamnese): De waarde van @code/@codeSystem MOET '10157-6' codeSystem '2.16.840.1.113883.6.1' displayName='History of family member diseases' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.17
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:text
Item: (TMP BelasteFamilieanamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:text"
         id="tmp-057f84a4-f650-46f8-9646-45758cce3157">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(TMP BelasteFamilieanamnese): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.17
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:statusCode
Item: (TMP BelasteFamilieanamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:statusCode"
         id="tmp-5e07cb87-bfb9-4816-914c-c6c037f60f8b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP BelasteFamilieanamnese): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@nullFlavor or (@code='active') or (@code='completed')">(TMP BelasteFamilieanamnese): De waarde van @code MOET één van de volgende codes bevatten: 'active of completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.17
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:effectiveTime
Item: (TMP BelasteFamilieanamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:effectiveTime"
         id="tmp-c4f841a5-7e81-4462-9cf6-510656110867">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP BelasteFamilieanamnese): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:low)&gt;=1 ">(TMP BelasteFamilieanamnese): element hl7:low is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:low)&lt;=1">(TMP BelasteFamilieanamnese): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:high)&lt;=1">(TMP BelasteFamilieanamnese): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:width)=0">(TMP BelasteFamilieanamnese): element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:center)=0">(TMP BelasteFamilieanamnese): element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.17
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:effectiveTime/hl7:low
Item: (TMP BelasteFamilieanamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:effectiveTime/hl7:low"
         id="tmp-2e30aeeb-8d54-48ab-a2aa-72913df51bba">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP BelasteFamilieanamnese): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.17
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:effectiveTime/hl7:high
Item: (TMP BelasteFamilieanamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:effectiveTime/hl7:high"
         id="tmp-8ae1b295-a44d-4e07-bf75-cd7c61edd16b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP BelasteFamilieanamnese): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.17
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:effectiveTime/hl7:width
Item: (TMP BelasteFamilieanamnese)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.17
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:effectiveTime/hl7:center
Item: (TMP BelasteFamilieanamnese)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.17
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:value
Item: (TMP BelasteFamilieanamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:value"
         id="tmp-7a80d193-5e19-4ba8-95bf-d29ad72be2fd">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP BelasteFamilieanamnese): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.31.1')">(TMP BelasteFamilieanamnese): De waarde van @codeSystem MOET '2.16.840.1.113883.2.4.4.31.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.17
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:author
Item: (TMP BelasteFamilieanamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:author"
         id="tmp-ccd73910-2dbd-4c46-bc6a-3d4c3245ec80">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@typeCode='AUT'">(TMP BelasteFamilieanamnese): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@contextControlCode='ON'">(TMP BelasteFamilieanamnese): De waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(TMP BelasteFamilieanamnese): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(hl7:time)&lt;=1">(TMP BelasteFamilieanamnese): element hl7:time komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]|hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="$elmcount&gt;=1">(TMP BelasteFamilieanamnese): keuze (hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] of hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']]) bevat te weinig elementen [min 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.17
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:author/hl7:time
Item: (TMP BelasteFamilieanamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:author/hl7:time"
         id="tmp-26035598-1a4e-4418-8bda-019618085df4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP BelasteFamilieanamnese): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.17
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:author/hl7:assignedEntity
Item: (TMP BelasteFamilieanamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:author/hl7:assignedEntity"
         id="tmp-6c2ac4b9-e6e8-4786-978b-be2ee4208227">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@classCode='ASSIGNED'">(TMP BelasteFamilieanamnese): De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.17
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:author/hl7:patient
Item: (TMP BelasteFamilieanamnese)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.17
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:subject
Item: (TMP BelasteFamilieanamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.17']]/hl7:observation/hl7:subject"
         id="tmp-e8ca84e8-88eb-444c-baec-f3a4f17002b5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@typeCode='SBJ'">(TMP BelasteFamilieanamnese): De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="@contextControlCode='OP'">(TMP BelasteFamilieanamnese): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24'])&gt;=1 and not(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24']/@nullFlavor)">(TMP BelasteFamilieanamnese): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.17.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24'])&lt;=1">(TMP BelasteFamilieanamnese): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.24'] komt te vaak voor [max 1x].</assert>
   </rule>
</pattern>