<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.23
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.23">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.23
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.23']
Item: (TMP PatientNLIdentified)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.23']"
         id="tmp-d9d1bfea-7b97-4c21-87b3-df306b1b500c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.23.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']/@nullFlavor)">(TMP PatientNLIdentified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.23.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'])&lt;=1">(TMP PatientNLIdentified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.23
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.23']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']
Item: (TMP PatientNLIdentified)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.23']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']"
         id="tmp-d66cba61-b065-4104-92e9-1efc108fcad3">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.23.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.23'">(TMP PatientNLIdentified): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.23' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.23.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP PatientNLIdentified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>