<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.118
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.118">
   <title>Risicovol leefgedrag</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.118
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.118']]
Item: (TMP RisicovolLeefgedrag)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.118
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.118']]/hl7:observation
Item: (TMP RisicovolLeefgedrag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.118']]/hl7:observation"
         id="tmp-6c174bd8-3543-4b00-8873-be6ce8cd78bc">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.118.html"
              test="@classCode='OBS'">(TMP RisicovolLeefgedrag): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.118.html"
              test="@moodCode='EVN'">(TMP RisicovolLeefgedrag): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.118.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']/@nullFlavor)">(TMP RisicovolLeefgedrag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.118.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118'])&lt;=1">(TMP RisicovolLeefgedrag): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP RisicovolLeefgedrag): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.118.html"
              test="count(hl7:code)&lt;=1">(TMP RisicovolLeefgedrag): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP RisicovolLeefgedrag): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.118.html"
              test="count(hl7:value)&lt;=1">(TMP RisicovolLeefgedrag): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.118
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.118']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']
Item: (TMP RisicovolLeefgedrag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.118']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.118']"
         id="tmp-16f5a0ce-7e91-4a7a-8245-e60eb74c71a1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.118.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.118'">(TMP RisicovolLeefgedrag): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.118' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.118.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP RisicovolLeefgedrag): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.118
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.118']]/hl7:observation/hl7:code
Item: (TMP RisicovolLeefgedrag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.118']]/hl7:observation/hl7:code"
         id="tmp-7dcc4bf9-74a1-442e-9105-7fa8b757eaa6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.118.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP RisicovolLeefgedrag): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.118.html"
              test="@nullFlavor or (@code='57207-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Risk factors present or past affecting health status')">(TMP RisicovolLeefgedrag): De waarde van @code MOET één van de volgende codes bevatten: '57207-3' codeSystem '2.16.840.1.113883.6.1' displayName='Risk factors present or past affecting health status'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.118
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.118']]/hl7:observation/hl7:value
Item: (TMP RisicovolLeefgedrag)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.118']]/hl7:observation/hl7:value"
         id="tmp-3292ed96-f20f-4721-8d4f-3c322fa9d19d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.40.118.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP RisicovolLeefgedrag): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>