<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.15
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.15">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]
Item: (TMP Episode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern"
         id="tmp-44d03645-3026-4bd9-88f4-21d2faffa564">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@classCode='CONC'">(TMP Episode): De waarde van @classCode MOET 'CONC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@moodCode='EVN'">(TMP Episode): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15']/@nullFlavor)">(TMP Episode): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15'])&lt;=1">(TMP Episode): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(TMP Episode): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:id)&lt;=1">(TMP Episode): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(TMP Episode): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:statusCode)&lt;=1">(TMP Episode): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:effectiveTime)&lt;=1">(TMP Episode): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:subject2)&gt;=1 and not(hl7:subject2/@nullFlavor)">(TMP Episode): element hl7:subject2 is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:author)&lt;=1">(TMP Episode): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15']
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15']"
         id="tmp-906a5ef0-7769-4fc2-a92b-9d988d0c467f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.15'">(TMP Episode): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.15' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP Episode): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:id
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:id"
         id="tmp-e26b7ae5-944f-4e01-87d4-1165ed7614d4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP Episode): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:statusCode
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:statusCode"
         id="tmp-c1cc849b-dfd6-4213-a487-262b34fe1f47">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP Episode): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@nullFlavor or (@code='active') or (@code='completed')">(TMP Episode): De waarde van @code MOET één van de volgende codes bevatten: 'active of completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime"
         id="tmp-84f3d0ac-bf46-4130-8518-e67158f3959c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP Episode): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(TMP Episode): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:low)&lt;=1">(TMP Episode): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:high)&lt;=1">(TMP Episode): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:width)=0">(TMP Episode): element hl7:width MAY NOT be present </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:center)=0">(TMP Episode): element hl7:center MAY NOT be present </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime/hl7:low
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime/hl7:low"
         id="tmp-8de10776-6f6a-4bdc-958d-046e70e37e48">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TMP Episode): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime/hl7:high
Item: (TMP Episode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime/hl7:width
Item: (TMP Episode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime/hl7:center
Item: (TMP Episode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:component
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:component"
         id="tmp-8bcd844c-10ce-4b55-8418-fc5c1dc4d015">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@contextConductionInd='true'">(TMP Episode): De waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@typeCode='COMP'">(TMP Episode): De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:reference
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:reference"
         id="tmp-94d98b30-5790-4c1e-ae81-09bfae50cea2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@contextConductionInd='false'">(TMP Episode): De waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@typeCode='REFR'">(TMP Episode): De waarde van @typeCode MOET 'REFR' zijn.</assert>
      <let name="elmcount"
           value="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2']|*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="$elmcount&gt;=1">(TMP Episode): keuze (*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.2'] of *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.16']) bevat te weinig elementen [min 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:reference
Item: (TMP Episode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:reference
Item: (TMP Episode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:subject2
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:subject2"
         id="tmp-e28c95ee-cb69-4ac2-8fd0-7e4c6baff10a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@contextConductionInd='true'">(TMP Episode): De waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@typeCode='SUBJ'">(TMP Episode): De waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <let name="elmcount"
           value="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']|*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="$elmcount&gt;=1">(TMP Episode): keuze (*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5'] of *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.25']) bevat te weinig elementen [min 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:subject2
Item: (TMP Episode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:subject2
Item: (TMP Episode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:author
Item: (TMP Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:author"
         id="tmp-b5f1a93d-28f6-4a17-98d1-26f69cb7a8c9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@contextControlCode='OP'">(TMP Episode): De waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@typeCode='AUT'">(TMP Episode): De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21'])&gt;=1 and not(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21']/@nullFlavor)">(TMP Episode): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21'])&lt;=1">(TMP Episode): element *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.21'] komt te vaak voor [max 1x].</assert>
   </rule>
</pattern>