<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.22
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.22">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.22
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.22']
Item: (TMP AssignedPersonIdentified)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.22']"
         id="tmp-2e16eccb-3a0b-4b23-b90f-c6d73502cb58">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.22.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22']/@nullFlavor)">(TMP AssignedPersonIdentified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.22.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22'])&lt;=1">(TMP AssignedPersonIdentified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.22
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.22']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22']
Item: (TMP AssignedPersonIdentified)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.22']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22']"
         id="tmp-4ade0d40-8a42-4586-b5d5-595159194ba4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.22.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.22'">(TMP AssignedPersonIdentified): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.22' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120605T093145/tmp-2.16.840.1.113883.2.4.6.10.70.22.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP AssignedPersonIdentified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>