<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xmlns:hl7="urn:hl7-org:v3"
        xmlns="http://purl.oclc.org/dsdl/schematron"
        xmlns:sch="http://www.ascc.net/xml/schematron"
        xmlns:uuid="java:java.util.UUID"
        queryBinding="xslt2">
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:nictiz-nl:v3/perinatologie" prefix="peri"/>
   <!--
==================================
Schematron schema for Acknowledgement (admgeboorte-1a-ack)

Project: 

Copyright 2010 2011 2012 by KNOV

Copyright 2010 2011 2012 by NVOG

Copyright 2010 2011 2012 by PRN

Copyright 2010 2011 2012 by RIVM

Copyright 2008 2009 2010 2011 2012 by Nictiz


Author: dr Kai U. Heitmann (KH)
Author: dr William Goossen (WG)
Author: PWD werk groep
Author: Reviewteam
Author: Nictiz
Author: Redactieraad Perinatologie
Author: André Achterberg
Author: RIVM
Author: Eric Hallensleben
Author: Harold Mous
Author: Hugo Heilema
Author: Greta Rijninks
Author: Sjaak Toet
Author: Peter van Gessel

Version information:
  2011-08-02T00:00:00 KH 
  2011-08-23T00:00:00 KH 
  2011-08-27T00:00:00 KH 
  2011-08-28T00:00:00 KH 
  2011-09-16T00:00:00 KH 
  2011-10-20T00:00:00 KH 
  2011-10-24T00:00:00 KH 
  2011-11-01T00:00:00 KH 
  2011-11-06T00:00:00 KH 
  2011-11-07T00:00:00 KH 
  2011-11-20T00:00:00 KH 
  2011-11-25T00:00:00 KH 
  2011-11-29T00:00:00 KH 
  2011-12-07T00:00:00 KH 
  2011-12-09T00:00:00 KH 
  2012-01-01T00:00:00 KH 
  2012-01-02T00:00:00 KH 
  2012-01-06T00:00:00 KH 
  2012-01-07T00:00:00 KH 
  2012-01-08T00:00:00 KH 
  2012-01-29T00:00:00 KH 
  2012-03-01T00:00:00 KH 
  2012-03-06T00:00:00 KH 
  2012-03-11T00:00:00 KH 
  2012-03-20T00:00:00 KH 
  2012-03-21T00:00:00 KH 
  2012-04-11T00:00:00 KH 
  2012-04-17T00:00:00 KH 
  2012-04-21T00:00:00 KH 
  2012-04-22T00:00:00 KH 
  2012-05-04T00:00:00 KH 

DISCLAIMER:
Hoewel deze publicatie met de uiterste zorg is samengesteld, kan KNOV, NVOG, PRN, RIVM, Nictiz geen aansprakelijkheid aanvaarden voor directe of indirecte schade ontstaan door de inhoud van de – al
            dan niet door derden aangeboden – informatie.

WARNING:
THIS FILE HAS BEEN GENERATED AUTOMAGICALLY. DON'T EDIT IT.

Creation date: 2012-05-04T22:22:22.383+02:00
==================================

--><!--Include realm specific schematron-->
<!-- none --><!--Include datatype abstract schematrons-->
<include href="include/DTr1_ANY.sch"/>
   <include href="include/DTr1_AD.sch"/>
   <include href="include/DTr1_BIN.sch"/>
   <include href="include/DTr1_BL.sch"/>
   <include href="include/DTr1_CD.sch"/>
   <include href="include/DTr1_CE.sch"/>
   <include href="include/DTr1_CS.sch"/>
   <include href="include/DTr1_CV.sch"/>
   <include href="include/DTr1_EN.sch"/>
   <include href="include/DTr1_II.sch"/>
   <include href="include/DTr1_INT.sch"/>
   <include href="include/DTr1_INT.NONNEG.sch"/>
   <include href="include/DTr1_INT.POS.sch"/>
   <include href="include/DTr1_IVL.sch"/>
   <include href="include/DTr1_IVL_PQ.sch"/>
   <include href="include/DTr1_IVL_TS.sch"/>
   <include href="include/DTr1_PN.sch"/>
   <include href="include/DTr1_PQ.sch"/>
   <include href="include/DTr1_QTY.sch"/>
   <include href="include/DTr1_SXCM.sch"/>
   <include href="include/DTr1_TS.sch"/>
   <include href="include/DTr1_TS.DATE.sch"/>
   <include href="include/DTr1_TS.DATE.FULL.sch"/>
   <include href="include/DTr1_TS.DATE.MIN.sch"/>
   <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
   <include href="include/DTr1_ST.sch"/>
   <include href="include/DTr1_ON.sch"/>
   <include href="include/DTr1_ED.sch"/>
   <include href="include/DTr1_TEL.sch"/>
   <include href="include/DTr1_URL.sch"/>
   <include href="include/DTr1_AD.NL.sch"/>
   <include href="include/DTr1_II.NL.BSN.sch"/>
   <include href="include/DTr1_II.NL.URA.sch"/>
   <include href="include/DTr1_II.NL.UZI.sch"/>
   <include href="include/DTr1_II.NL.AGB.sch"/>
   <include href="include/DTr1_II.AT.DVR.sch"/>
   <include href="include/DTr1_II.AT.ATU.sch"/>
   <include href="include/DTr1_II.AT.BLZ.sch"/>
   <include href="include/DTr1_II.AT.KTONR.sch"/>


   <!--Include the project schematrons related to scenarioadmgeboorte-1a-ack-->



<!--Include schematrons from templates with explicit * or ** context (but no representing templates)-->


</schema>